#include "Param/Distrib/DistributionHandler.h"
#include "Param/Distrib/Distributions.h"
#include "Tests/GTestWrapper/google_test.h"
#include <cmath>

class DistributionHandlerTest : public ::testing::Test {
protected:
    DistributionHandlerTest() : m_value(99.0) {}
    double m_value;
};

TEST_F(DistributionHandlerTest, DistributionHandlerConstructor)
{
    DistributionHandler handler;
    DistributionGate distribution(1.0, 2.0);

    EXPECT_EQ(size_t(1), handler.getTotalNumberOfSamples());

    ParameterDistribution par_distr(ParameterDistribution::BeamWavelength, distribution,
                                    2, 1.0);
    handler.addParameterDistribution(par_distr);

    EXPECT_EQ(size_t(2), handler.getTotalNumberOfSamples());

    const std::vector<ParameterDistribution>& distr = handler.getDistributions();
    ParameterDistribution distribution1 = distr[0];
    EXPECT_EQ(distribution1.getNbrSamples(), size_t(2));
    EXPECT_EQ(distribution1.getSigmaFactor(), 1.0);
}
